def moving_average(data, window_size):
    """Tính toán trung bình động của dữ liệu."""
    if not data or window_size <= 0:
        return []
    return [sum(data[i:i+window_size])/window_size for i in range(len(data)-window_size+1)]

def exponential_moving_average(data, window_size):
    """Tính toán trung bình động lũy thừa của dữ liệu."""
    if not data or window_size <= 0:
        return []
    alpha = 2 / (window_size + 1)
    ema = [data[0]]
    for price in data[1:]:
        ema.append((price * alpha) + (ema[-1] * (1 - alpha)))
    return ema
