# tests/test_indicators.py

import unittest
from financial_indicators import moving_average, exponential_moving_average

class TestFinancialIndicators(unittest.TestCase):
    
    def test_moving_average(self):
        data = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10]
        result = moving_average(data, 3)
        self.assertEqual(result, [2.0, 3.0, 4.0, 5.0, 6.0, 7.0, 8.0])
        
    def test_exponential_moving_average(self):
        data = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10]
        result = exponential_moving_average(data, 3)
        self.assertTrue(len(result), len(data))
        
if __name__ == '__main__':
    unittest.main()
